Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes
ArgusSamples::Composer::Stream Class Reference

Each bound EGL stream has a stream consumer and can be active or inactive. More...

List of all members.

## Public Member Functions

| Stream (StreamConsumer *consumer)

## Public Attributes

StreamConsumer * | m_consumer
| the stream consumer
bool | m_active
| if set then the stream is active and rendered

## Detailed Description

Each bound EGL stream has a stream consumer and can be active or inactive.

Definition at line 142 of file Composer.h.

## Constructor & Destructor Documentation

ArgusSamples::Composer::Stream::Stream | ( | StreamConsumer * | consumer | ) |

inlineexplicit

Definition at line 145 of file Composer.h.

## Member Data Documentation

bool ArgusSamples::Composer::Stream::m_active

if set then the stream is active and rendered

Definition at line 152 of file Composer.h.

StreamConsumer* ArgusSamples::Composer::Stream::m_consumer

the stream consumer

Definition at line 151 of file Composer.h.

The documentation for this class was generated from the following file:

- renderer/Composer.h